<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy Terminal.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_terminal_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">Terminal.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_terminal_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_terminal_8hpp.html">Terminal.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="class_terminal.html#afba3c4445e1aa212be657a0460a9b070">   19</a></span><a class="code hl_function" href="class_terminal.html#afba3c4445e1aa212be657a0460a9b070">Terminal::Terminal</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *terminal_title, QWidget *parent) : <a class="code hl_class" href="class_framed_widget.html">FramedWidget</a>(terminal_title, parent)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a> = <span class="keyword">new</span> QTextEdit(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">// Definicja zachowania geometrii</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Expanding);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <a class="code hl_function" href="class_terminal.html#a679df2b8a9473791a7190f180c06a1ee">setStoredWidget</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <a class="code hl_function" href="class_terminal.html#ad54014a5ede6a6da9d3f8c3cc0dd393a">setVLayout</a>();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>}</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="class_terminal.html#a679df2b8a9473791a7190f180c06a1ee">   33</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_terminal.html#a679df2b8a9473791a7190f180c06a1ee">Terminal::setStoredWidget</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>{</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;setReadOnly(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;setStyleSheet(<span class="stringliteral">&quot;QTextEdit { background-color: rgb(125, 125, 125); }&quot;</span>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Expanding);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>}</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="class_terminal.html#ad54014a5ede6a6da9d3f8c3cc0dd393a">   44</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_terminal.html#ad54014a5ede6a6da9d3f8c3cc0dd393a">Terminal::setVLayout</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>{</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>}</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="class_terminal.html#ad775e6fcf056ddda51a674a3e3f43b11">   54</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_terminal.html#ad775e6fcf056ddda51a674a3e3f43b11">Terminal::setBackgroundColour</a>(<span class="keyword">const</span> QPalette &amp; palette)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>{</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;setAutoFillBackground(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;setPalette(palette);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>}</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">   65</a></span><span class="keyword">const</span> QString <a class="code hl_function" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">Terminal::getTimeString</a>()</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>{</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    QDateTime date = QDateTime::currentDateTime();</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    QString time = date.toString(<span class="stringliteral">&quot;hh:mm:ss&quot;</span>);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="keywordflow">return</span> time;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>}</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="class_terminal.html#a965c70b8309ba765f8575b46c272c8cf">   75</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#a965c70b8309ba765f8575b46c272c8cf">Terminal::typeSerialOpenError</a>()</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>{</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;append(<span class="stringliteral">&quot;~&gt; &quot;</span> + <a class="code hl_function" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">getTimeString</a>() + <span class="stringliteral">&quot;: &quot;</span> +</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                    tr(<span class="stringliteral">&quot;Nie można połączyć z portem szeregowym&quot;</span>) +</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                    <span class="stringliteral">&quot;.\n&quot;</span>);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>}</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="class_terminal.html#aaa6bdacda486c7f68835318acd0ab597">   84</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#aaa6bdacda486c7f68835318acd0ab597">Terminal::typeSerialReadError</a>()</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>{</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;append(<span class="stringliteral">&quot;~&gt; &quot;</span> + <a class="code hl_function" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">getTimeString</a>() + <span class="stringliteral">&quot;: &quot;</span> +</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                    tr(<span class="stringliteral">&quot;Nieprawidłowe odczytanie danych z portu szeregowego&quot;</span>) +</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                    <span class="stringliteral">&quot;.\n&quot;</span>);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>}</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="class_terminal.html#ac7dee8173df7da33ac52dc399a2a2361">   93</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#ac7dee8173df7da33ac52dc399a2a2361">Terminal::typeSerialEnded</a>()</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>{</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;append(<span class="stringliteral">&quot;~&gt; &quot;</span> + <a class="code hl_function" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">getTimeString</a>() + <span class="stringliteral">&quot;: &quot;</span> +</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                    tr(<span class="stringliteral">&quot;Zakończenie połączenia z portem szeregowym&quot;</span>) +</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>                    <span class="stringliteral">&quot;.\n&quot;</span>);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>}</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="class_terminal.html#abeee2c56557f7086f2212548c49fdc0e">  102</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#abeee2c56557f7086f2212548c49fdc0e">Terminal::typeSerialReady</a>()</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>{</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;append(<span class="stringliteral">&quot;~&gt; &quot;</span> + <a class="code hl_function" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">getTimeString</a>() + <span class="stringliteral">&quot;: &quot;</span> +</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                    tr(<span class="stringliteral">&quot;Połączono z portem szeregowym&quot;</span>) +</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                    <span class="stringliteral">&quot;.\n&quot;</span>);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>}</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="class_terminal.html#a309e9e3b36e0af1fbf7df19a36ec58dd">  111</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#a309e9e3b36e0af1fbf7df19a36ec58dd">Terminal::typeObstacleDetected</a>()</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>{</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;append(<span class="stringliteral">&quot;~&gt; &quot;</span> + <a class="code hl_function" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">getTimeString</a>() + <span class="stringliteral">&quot;: &quot;</span> +</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>                    tr(<span class="stringliteral">&quot;Wykryto przeszkodę&quot;</span>) +</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>                    <span class="stringliteral">&quot;!\n&quot;</span>);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>}</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="class_terminal.html#a18a4559d30c3e67c7d76964460aa0681">  120</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#a18a4559d30c3e67c7d76964460aa0681">Terminal::typePlLang</a>()</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>{</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;append(<span class="stringliteral">&quot;~&gt; &quot;</span> + <a class="code hl_function" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">getTimeString</a>() + <span class="stringliteral">&quot;: &quot;</span> +</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>                    tr(<span class="stringliteral">&quot;Wybrano język polski&quot;</span>) +</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>                    <span class="stringliteral">&quot;\n&quot;</span>);</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>}</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="class_terminal.html#a7a46effe2bef072b6dfe72a52551edaa">  129</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_terminal.html#a7a46effe2bef072b6dfe72a52551edaa">Terminal::typeEngLang</a>()</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>{</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    <a class="code hl_variable" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a>-&gt;append(<span class="stringliteral">&quot;~&gt; &quot;</span> + <a class="code hl_function" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">getTimeString</a>() + <span class="stringliteral">&quot;: &quot;</span> +</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                    tr(<span class="stringliteral">&quot;English has been chosen&quot;</span>) +</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                    <span class="stringliteral">&quot;\n&quot;</span>);</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>}</div>
<div class="ttc" id="a_terminal_8hpp_html"><div class="ttname"><a href="_terminal_8hpp.html">Terminal.hpp</a></div><div class="ttdoc">Definicja klasy Terminal.</div></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a5b62f9e21c0b6f3e797070d26027ac45"><div class="ttname"><a href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">FramedWidget::vlayout</a></div><div class="ttdeci">QVBoxLayout * vlayout</div><div class="ttdoc">Zarządca geometrii wertykalnej.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00053">FramedWidget.hpp:53</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_ace4a4b291bdc10ef5c4599a43baf1ab5"><div class="ttname"><a href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">FramedWidget::title</a></div><div class="ttdeci">QLabel * title</div><div class="ttdoc">Tytuł widgetu.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00049">FramedWidget.hpp:49</a></div></div>
<div class="ttc" id="aclass_terminal_html_a18a4559d30c3e67c7d76964460aa0681"><div class="ttname"><a href="class_terminal.html#a18a4559d30c3e67c7d76964460aa0681">Terminal::typePlLang</a></div><div class="ttdeci">void typePlLang()</div><div class="ttdoc">Wyświetla komunikat o zmianie języka na polski.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00120">Terminal.cpp:120</a></div></div>
<div class="ttc" id="aclass_terminal_html_a2c2a517c4e7d243b2a9be48eed28c148"><div class="ttname"><a href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">Terminal::getTimeString</a></div><div class="ttdeci">const QString getTimeString()</div><div class="ttdoc">Zwraca aktualny czas w formie tekstu.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00065">Terminal.cpp:65</a></div></div>
<div class="ttc" id="aclass_terminal_html_a309e9e3b36e0af1fbf7df19a36ec58dd"><div class="ttname"><a href="class_terminal.html#a309e9e3b36e0af1fbf7df19a36ec58dd">Terminal::typeObstacleDetected</a></div><div class="ttdeci">void typeObstacleDetected()</div><div class="ttdoc">Wyświetla komunikat o wykryciu przeszkody.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00111">Terminal.cpp:111</a></div></div>
<div class="ttc" id="aclass_terminal_html_a679df2b8a9473791a7190f180c06a1ee"><div class="ttname"><a href="class_terminal.html#a679df2b8a9473791a7190f180c06a1ee">Terminal::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget() override</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00033">Terminal.cpp:33</a></div></div>
<div class="ttc" id="aclass_terminal_html_a7a46effe2bef072b6dfe72a52551edaa"><div class="ttname"><a href="class_terminal.html#a7a46effe2bef072b6dfe72a52551edaa">Terminal::typeEngLang</a></div><div class="ttdeci">void typeEngLang()</div><div class="ttdoc">Wyświetla komunikat o zmianie języka na angielski.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00129">Terminal.cpp:129</a></div></div>
<div class="ttc" id="aclass_terminal_html_a965c70b8309ba765f8575b46c272c8cf"><div class="ttname"><a href="class_terminal.html#a965c70b8309ba765f8575b46c272c8cf">Terminal::typeSerialOpenError</a></div><div class="ttdeci">void typeSerialOpenError()</div><div class="ttdoc">Wyświetla komunikat o błędzie otworzenia portu szeregowego.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00075">Terminal.cpp:75</a></div></div>
<div class="ttc" id="aclass_terminal_html_aaa6bdacda486c7f68835318acd0ab597"><div class="ttname"><a href="class_terminal.html#aaa6bdacda486c7f68835318acd0ab597">Terminal::typeSerialReadError</a></div><div class="ttdeci">void typeSerialReadError()</div><div class="ttdoc">Wyświetla komunikat o błędzie wczytania danych.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00084">Terminal.cpp:84</a></div></div>
<div class="ttc" id="aclass_terminal_html_abeee2c56557f7086f2212548c49fdc0e"><div class="ttname"><a href="class_terminal.html#abeee2c56557f7086f2212548c49fdc0e">Terminal::typeSerialReady</a></div><div class="ttdeci">void typeSerialReady()</div><div class="ttdoc">Wyświetla komunikat o prawidłowej konfiguracji portu.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00102">Terminal.cpp:102</a></div></div>
<div class="ttc" id="aclass_terminal_html_ac7dee8173df7da33ac52dc399a2a2361"><div class="ttname"><a href="class_terminal.html#ac7dee8173df7da33ac52dc399a2a2361">Terminal::typeSerialEnded</a></div><div class="ttdeci">void typeSerialEnded()</div><div class="ttdoc">Wyświetla komunikat o zakończeniu połączenia z portem.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00093">Terminal.cpp:93</a></div></div>
<div class="ttc" id="aclass_terminal_html_ad54014a5ede6a6da9d3f8c3cc0dd393a"><div class="ttname"><a href="class_terminal.html#ad54014a5ede6a6da9d3f8c3cc0dd393a">Terminal::setVLayout</a></div><div class="ttdeci">void setVLayout() override</div><div class="ttdoc">Ustawia widgety pochodne w pionie.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00044">Terminal.cpp:44</a></div></div>
<div class="ttc" id="aclass_terminal_html_ad775e6fcf056ddda51a674a3e3f43b11"><div class="ttname"><a href="class_terminal.html#ad775e6fcf056ddda51a674a3e3f43b11">Terminal::setBackgroundColour</a></div><div class="ttdeci">void setBackgroundColour(const QPalette &amp;palette)</div><div class="ttdoc">Ustawia tło edytora.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00054">Terminal.cpp:54</a></div></div>
<div class="ttc" id="aclass_terminal_html_adcf8c667948ef7bb6007c731976c4286"><div class="ttname"><a href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">Terminal::editor</a></div><div class="ttdeci">QTextEdit * editor</div><div class="ttdoc">Wyświetla komunikaty.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8hpp_source.html#l00039">Terminal.hpp:39</a></div></div>
<div class="ttc" id="aclass_terminal_html_afba3c4445e1aa212be657a0460a9b070"><div class="ttname"><a href="class_terminal.html#afba3c4445e1aa212be657a0460a9b070">Terminal::Terminal</a></div><div class="ttdeci">Terminal(const char *terminal_title, QWidget *parent=nullptr)</div><div class="ttdoc">Inicjalizuje obiekt klasy Terminal.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8cpp_source.html#l00019">Terminal.cpp:19</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_terminal_8cpp.html">Terminal.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
